#include "vision.h"
#include <bits/stdc++.h>

using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1, 1, 4, 1, 2};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 9){
        if(v[6] == 2)
            return 8;
        return 0;
    }
    if(v.size() == 5){
        if(v[0] == 4)
            return 0;
        return 4;
    }
    if(v.size() == 3){
        if(v[0] != 1)
            return 0;
        return 2;
    }

}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
